Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxPerfProfAccXscalePmuResults Struct Reference [IXP425 Performance Profiling (IxPerfProfAcc) API] contains results of counters and their overflow More...
## Data Fields
UINT32 | clk_value
| current value of clock counter
UINT32 | clk_samples
| number of clock counter overflows
UINT32 | event1_value
| current value of event 1 counter
UINT32 | event1_samples
| number of event 1 counter overflows
UINT32 | event2_value
| current value of event 2 counter
UINT32 | event2_samples
| number of event 2 counter overflows
UINT32 | event3_value
| current value of event 3 counter
UINT32 | event3_samples
| number of event 3 counter overflows
UINT32 | event4_value
| current value of event 4 counter
UINT32 | event4_samples
| number of event 4 counter overflows
## Detailed Description contains results of counters and their overflow Structure contains all values of counters and associated overflows. The specific event and clock counters are determined by the user Definition at line 157 of file IxPerfProfAcc.h. ## Field Documentation
UINT32 IxPerfProfAccXscalePmuResults::clk_samples
| number of clock counter overflows Definition at line 160 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::clk_value
| current value of clock counter Definition at line 159 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event1_samples
| number of event 1 counter overflows Definition at line 162 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event1_value
| current value of event 1 counter Definition at line 161 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event2_samples
| number of event 2 counter overflows Definition at line 164 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event2_value
| current value of event 2 counter Definition at line 163 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event3_samples
| number of event 3 counter overflows Definition at line 166 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event3_value
| current value of event 3 counter Definition at line 165 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event4_samples
| number of event 4 counter overflows Definition at line 168 of file IxPerfProfAcc.h.
UINT32 IxPerfProfAccXscalePmuResults::event4_value
| current value of event 4 counter Definition at line 167 of file IxPerfProfAcc.h.
The documentation for this struct was generated from the following file: IxPerfProfAcc.h
Automatically generated from sources. © Intel Corp. 2003